package com.qmth.cqb.genpaper.model;

import com.qmth.cqb.question.model.Question;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;

import java.io.Serializable;

/**
 * 试卷明细类,记录试题的题组信息
 * Created by songyue on 16/12/27.
 */
public class GenPaperDetail implements Serializable{
    private static final long serialVersionUID = -8132174228626243138L;
    @Id
    private String id;

    private String mainNo;//大题号

    private String subNo;//小题号

    private int sort;//排序

    @DBRef
    private Question question;//关联试题

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMainNo() {
        return mainNo;
    }

    public void setMainNo(String mainNo) {
        this.mainNo = mainNo;
    }

    public String getSubNo() {
        return subNo;
    }

    public void setSubNo(String subNo) {
        this.subNo = subNo;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public Question getQuestion() {
        return question;
    }

    public void setQuestion(Question question) {
        this.question = question;
    }

    public GenPaperDetail() {
    }
}
