package com.qmth.cqb.genpaper.model;

import org.bson.types.ObjectId;

import java.io.Serializable;

/**
 * Created by songyue on 16/12/28.
 */
public class GenPaperResource implements Serializable{
    private static final long serialVersionUID = -8009449548977861957L;

    private String resourceNo;//资源编号

    private String resourceType;//资源类型(试卷、答案、网评卷等)

    private String fileType;//文件类型(word、html)

    private int sort;//排序

    private ObjectId fileId;//GridFs中存储地址

    private byte[] resourseData;

    public String getResourceNo() {
        return resourceNo;
    }

    public void setResourceNo(String resourceNo) {
        this.resourceNo = resourceNo;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public ObjectId getFileId() {
        return fileId;
    }

    public void setFileId(ObjectId fileId) {
        this.fileId = fileId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public byte[] getResourseData() {
        return resourseData;
    }

    public void setResourseData(byte[] resourseData) {
        this.resourseData = resourseData;
    }

    public GenPaperResource() {
    }
}
