package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Map;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;

public class PaperStructure implements Serializable{

	private static final long serialVersionUID = 6380530617488717881L;

	@Id
    private String id;

    @Indexed(unique = true)
    private String name;//试卷结构名称
        
    private double totalScore;//总分
    
    private int detailCount;//大题数量
    
    private Map paraMap;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(double totalScore) {
		this.totalScore = totalScore;
	}

	public int getDetailCount() {
		return detailCount;
	}

	public void setDetailCount(int detailCount) {
		this.detailCount = detailCount;
	}

	public Map getParaMap() {
		return paraMap;
	}

	public void setParaMap(Map paraMap) {
		this.paraMap = paraMap;
	}
    
    
    
}
