package com.qmth.cqb;

import com.qmth.cqb.base.dao.UserRepo;
import com.qmth.cqb.base.model.User;
import com.qmth.cqb.base.service.UserService;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.domain.PageRequest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * Unit test for simple App.
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class AppTest {
    @Autowired
    UserRepo userRepo;

    @Autowired
    UserService userService;
    @Test
    public void testUser(){
        userRepo.deleteAll();
        User user1 = new User();
        user1.setLoginName("songyue");
        user1.setPassWord("123456");
        user1.setUserName("宋悦");
        user1.setCreateTime("20161226");

        User user2 = new User();
        user2.setLoginName("gaoxing");
        user2.setPassWord("123456");
        user2.setUserName("高兴");
        user2.setCreateTime("20161226");

        User user3 = new User();
        user3.setLoginName("liming");
        user3.setPassWord("123456");
        user3.setUserName("李明");
        user3.setCreateTime("20161226");

        userRepo.save(user1);
        userRepo.save(user2);
        userRepo.save(user3);

        long size = userRepo.count();

        Assert.assertEquals(size,3);

        System.out.println(userRepo.findAll());
    }

    @Test
    public void testfindAllUser(){
        User user = new User();
        user.setLoginName("song");
        userService.findAll(user,new PageRequest(0,10)).getDataList().forEach(o -> {
            System.out.println(o.getLoginName());
        });
    }
}
